Gönderen Konu: [Nasıl] 64 bit Flash kurulumu  (Okunma sayısı 30608 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

« : »
Not0: Ubuntu'nun şu anki son sürümü olan 11.10'u kullananların 64bit Flash paketi için aşağıdaki şekilde uğraşmasına gerek yok. Depolardaki 11.x sürümü 64bit desteğine sahiptir.

Not1: Bu anlatım 64 bit kurulu olan sistemler ve 11.10 sürümüden öncesi için geçerlidir!

İki alternatifimiz mevut.

1. Sevenmachines deposu.
Mevcut Flash paketlerini kaldırın:
Kod: [Seç]
sudo apt-get purge flashplugin-nonfree flashplugin-installer
sudo rm -f /usr/lib/mozilla/plugins/*flash*
sudo rm -f ~/.mozilla/plugins/*flash*
sudo rm -f /usr/lib/firefox/plugins/*flash*
sudo rm -f /usr/lib/firefox-addons/plugins/*flash*
sudo rm -rfd /usr/lib/nspluginwrapper

Ardından şunu uygulayın:
Kod: [Seç]
sudo add-apt-repository ppa:sevenmachines/flash
sudo apt-get update
sudo mkdir /usr/lib/kde4/
sudo apt-get install flashplugin64-installer


2. Elle kurulum
Başlarken: Açıkça söylemem gerekirse bu yöntemi uzun bir süre test edemedim.
Not: Artık uzun süredir test etmiş bulunmaktayım. Yöntem gayet sağlıklı çalışmakta.

Arada sırada olsa da video sitelerinde Flash ile sorun yaşamaktaydım. Bazen videolar sorun yapabiliyordu, Firefox'u yeniden başlatarak zaten nadiren yaşadığım bu sorunları aşıyordum. Bu gece gördüğüm bir başlıkta verilen http://webdeyim.net/tr/e_dergi/ubuntu-turkiye/sudo/ bağlantısında sorun yaşadım. Sayfalar çevrilmiyor, dergi sayıları gelmiyordu. Ancak sağ tıklayıp Oynat dediğimde çalışıyordu. Ayrıca alttaki düğmeler de çalışmıyordu. Fırsat bu fırsat diyerek 64 bit'i denemeye karar verdim.

Uzun bir süre denemediğim için tam neticeyi yazamasam da dergi ile ilgili olan bağlantıda sorunumu çözdü. Ayrıca Youtube, Dailymotion gibi sitelerde de sorun yok. Denemek isteyenler için aşamaları yazıyorum.

1.
Kod: [Seç]
wget http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_2_p3_64bit_linux_111710.tar.gz
2.
Kod: [Seç]
sudo apt-get purge flashplugin-nonfree flashplugin-installer
sudo rm -f /usr/lib/mozilla/plugins/*flash*
sudo rm -f ~/.mozilla/plugins/*flash*
sudo rm -f /usr/lib/firefox/plugins/*flash*
sudo rm -f /usr/lib/firefox-addons/plugins/*flash*
sudo rm -rfd /usr/lib/nspluginwrapper

3.
Kod: [Seç]
tar zxf flashplayer10_2_p3_64bit_linux_111710.tar.gz
mkdir ~/.mozilla/plugins
mv libflashplayer.so ~/.mozilla/plugins/

Firefox'u kapatıp, tekrar açalım. Flash'ın çalışıp çalışmadığını kontrol edelim:
http://www.adobe.com/shockwave/welcome

Sol tarafta Flash animasyonunu görüyor ve sesi duyuyorsanız sorun yok demektir.


Kaynak:
http://profarius.com/content/64bit-java-flash-deathroll

Aynı kaynakta Java için de bir anlatım mevcut. Onun da anlatımını bir ara yapalım.
« Son Düzenleme: 16 Ekim 2011 - 15:28:33 Gönderen: heartsmagic »
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #1 : »
En çok konuştuğumuz meselelerden ikisi (flash, java) için de belgelerimiz oldu, güzel de oldu. Teşekkürler @heartsmagic. Java ve flash uygulamalarının 64 bit sistemlerde kurulma adımları ile 32 bit sistemlerde kurulma adımları arasında pek fark olmasa gerek öyle değil mi? Tek fark uygulamanın doğru paketini indirmektir sanırım. Bunu soruyorum çünkü 32 bit sistemlerde kurulum yapacakları da buraya yönlendirebiliriz diye umut ediyorum.  ::)
Özgürlüğü ne kadar anlarsan o kadar az sahip olursun. John Fowles

« Yanıtla #2 : »
32 bit için ben asılında zamanında hiç sorun yaşamıyordum. 64bit'lik bir sisteme geçince ufak tefek sorunlar yaşar oldum. Etrafta da yaşıyorum diyenleri görünce bunu bir deneyeyim demiştim. 32bit kullanıp da sorunu olmayanlar bence yanaşmasınlar elle kuruluma :) Bu kurulum depolardaki 64bit'lik paketlerle sorun yaşayıp da elle denemek isteyenleri kendisine çekecektir daha çok.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #3 : »
Eline sağlık @heartsmagic.
Umut en büyük kötülüktür; işkenceyi uzatır. - F.N.

Bir şey ne ise odur, bu kadar. Öyleyse, iki şey arasında bağdaşıklık varsa, bu aralarında iletişim kuruyorlar demek değildir.
"... kavrayışını bilgi ile derinleştir ..."
PF @ ST

« Yanıtla #4 : »
Ben Ubuntu 9.10 64 bit kurdum ve ilk girdiğim site www.mynet.com oldu flash yüklededim Adobe Flash Player yükledi ve videolar izlenebilir oldu.
ama her hangi bir video paylaşım sitesinde videoları durdurmak ekranı kaplamasını sağlamak gibi fonksiyonlar malesef çalışmadı yukarıdaki yazılı olanları uyguladığımda da değişen * bir şey olmadı taki sisteme Ubuntu " restricted extras " paketini yukleyenedek.

Uygulamalar --> Ubuntu Yazılım Merkezi --> Ubuntu Kısıtlı ilaveleri seçip yüklediğimde sorun ortadan kalktı.
--------------------------------------------------------- 
MCP, MCSA+S+M, MCSE+S+M, MCTS:Vista
MCTS | Windows Server 2008 Active Directory
MCTS | Windows Server 2008 Network Infrastructure MCTS | Windows Server 2008 Applications Infrastructure ---------------------------------------------------------

« Yanıtla #5 : »
Kısacası depodaki 64bit'lik Flash'a döndün?
Peki şu sitedeki geçişler vs. çalışıyor mu?
http://webdeyim.net/tr/e_dergi/ubuntu-turkiye/sudo/
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #6 : »
Evet hiç bir sorun yok çalışıyor.
Bu arada sayfa güzel olmuş dergi için uğraşanlarında emeğine sağlık diyelim.
--------------------------------------------------------- 
MCP, MCSA+S+M, MCSE+S+M, MCTS:Vista
MCTS | Windows Server 2008 Active Directory
MCTS | Windows Server 2008 Network Infrastructure MCTS | Windows Server 2008 Applications Infrastructure ---------------------------------------------------------

« Yanıtla #7 : »
İlginç. Bende sorun vardı o sitede. Neyse bu başlık da artık alternatif olur :)
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #8 : »
@heartsmagic, yine döktürmüssün. Konuyu sabitledim.
Linux LPIC1 - MCSA

« Yanıtla #9 : »
garip ama heartsmagic, gibi benimde çalışmıyor yukarıda yazılı yöntemle kurdugumda çalıştı, bu seferde opera su koyverdi flas plugin isteyip duruyor :)

« Yanıtla #10 : »
garip ama heartsmagic, gibi benimde çalışmıyor yukarıda yazılı yöntemle kurdugumda çalıştı, bu seferde opera su koyverdi flas plugin isteyip duruyor :)

@Sorogren nin önerdigi yolu denedinizmi ?
Linux LPIC1 - MCSA

« Yanıtla #11 : »
zaten o şekilde kuruluydu, problem yaşıyordum şimdi indirdigim 64 bit flash dosyasını operanın plugin klasörüne taşıdım problem kalktı, simdi problemsiz calışıyor tşk heartsmagic

« Yanıtla #12 : »
@chopper, bir an kendimi paranoyak olarak hissetmiştim :)
Teyit için teşekkürler, en azından yalnız değilmişim.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #13 : »
32 bitlik daha iyi çalışıyor bende. Geri dönüyorum. Anlatım için teşekkürler.

Düzenleme: libflashplayer.so 'yu silmem yeterli mi?
« Son Düzenleme: 08 Aralık 2009 - 00:12:38 Gönderen: sessizce »

« Yanıtla #14 : »
@sessizce evet yeterli.
Peki 64bit'le nerelerde ne gibi sorunlar yaşadın?
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #15 : »
Facebook'da herhangi bir oyuna girdiğimde ram ve cpu %100 oluyor. Donuyor, 5 6 dakika bekliyorum. %90 lara düşünce, bir uçbrim açıp killall firefox diyorum :) Donanımlarım çok iyi diyemem ama bence bu yeterli bir sebep.

« Yanıtla #16 : »
Hmm, bende o konuda hiçbir sıkıntı yok. İlginç bir durum, Firefox sürümü vs. etkileyebilir tabii ancak 32bit'le sorun yoksa zorlamanın bir anlamı kalmıyor haliyle.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #17 : »
Aslında şöyle bir durum var; flash oyunları bilgisayara indirip oynadığımda hiç kasmıyor. Ama tarayıcıda oynadığımda; flashın görüntü kalitesini en düşük seviyeye getirsem bile kasma oluyor. Bu 32 bitteki sorunumdu. Onun dışında hiçbir sorun yaşamadım. Reklamlar, videolar, filmler vs...
Gerçi tam hatırlamıyorum ama windows üzerinde de durum böyleydi.

« Yanıtla #18 : »
Windows üzerinde de böyleyse biraz da donanımsal olabilir. Gerçi sistem aslında bir tek Flash'la bayılmamalı, başka etkenler de olabilir.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #19 : »
Bu 64 32 bit olayına girmek istiyorum ben.internetten baktım 64 daha fazla kaynak tüketiyor ama daha verimli çalışıyor değil mi?Donanım da sağlam sayılır.Ne önerirsiniz.Tamam mı devam mı? :)

« Yanıtla #20 : »
Hayır 64bit daha fazla kaynak tüketmez. Söylenmek istenen sistemdeki uygun donanımı verimli kullanmaksa buna katılabiliriz. Örneğin işlemci, bellek.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #21 : »
Bu 64 32 bit olayına girmek istiyorum ben.internetten baktım 64 daha fazla kaynak tüketiyor ama daha verimli çalışıyor değil mi?Donanım da sağlam sayılır.Ne önerirsiniz.Tamam mı devam mı? :)

Forumda '64 bit kullanmalı mı?' adlı bir başlık vardı aratırsanız 64 bit ile ilgili daha çok bilgiye ulaşabilirsiniz.

« Yanıtla #22 : »
Merhabalar.

Ben ubuntuyu yeni kurdum ve açıkçası terminal üzerinden kod yazmakta acemiyim.

mkdir ~/.mozilla/plugins komutunu yazdığımda
mkdir: cannot create directory `/home/credence/.mozilla/plugins': File exists

gibi bir yanıt alıyorum. Umarım topic'i kirletmemişimdir kirlettiysem affola.

« Yanıtla #23 : »
@4dv3nt, başlık elbette kirlenmez.
Sende o dizin zaten mevcut olduğundan dolayı bu uyarıyı alıyorsun. İşlemlere devam edebilirsin.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #24 : »
Yine enteresan sorunlarımla kafa şişirmek için buradayım =)

9.10 - 64 bit kullanıyorum.

Sorunlarım genel olarak herkesin söylediği gibi;

FireFox kullanırken sitelerdeki flash kısımların bir anda grileşip kullanılamaz olmasından yana. Ve yine FireFox'ta örneğin bir video izlerken mouse'un sol tuşunu kullanamamak gibi bir problemim de var. Bunu önce sağ tıklayıp sonra istediğim yere sol tıklayarak aştım (kendim ürettim bu çözümü tamamen bana ait=) Neyse forumda araştırdım, denedim olmadı deyip devam ettim. (Bu sorunu yaşarken sadece Ubuntu Yazılım Merkezinden restricted extras'ı yüklemiştim sadece; sanırım 32 bit kullanıyordum belkide 64 bit, bilmiyorum ama düz her insan gibi aynı şey)

Bu arada Google Chromium kullanmaya başladım. Flash kısımlardaki bu grileşip flashın kullanılamaz hale gelmesi çok seyrek görülmeye başladı. Ayrıca önce sağ tıkla sonra sol tıkla sıkıntısıda yok, yani tıklamalardaki problem kalktı ortadan.

Sonra bu başlıktaki yolu denemeye kalktım, bir iki gündür rahatttım başıma iş açmak istedim.

Başlıktaki komutları uygularken sıkıntı yok. Yani verilen komutlarla gerekli purge işlemini yaptım, sorun yok. .so dosyası indi. ama ardından mkdir ile plugins klasörü oluşturmaya kalktığımda oluşturulamıyor gibi bir uyarı aldım. Bende eski usul tıklayarak klasörü açtım, plugins klasörü oluşturup .so dosyasını içine koydum. Yani zaten işin esprisi .mozilla klasörü altına plugins klasörü oluşturup içine .so dosyasını kopyalamak değil mi?

amma Firefox kullanırken http://www.adobe.com/shockwave/welcome adresine gittiğimde, yada flash olan herhangi bir sitede flash çalışmıyor şuan. Yani bu işlemler basit, neden çalışmıyor anlamıyorum.

Ama bir o kadar da garip olan şey Google Chromium ile gayet normat çalışmaya başladı flash. Hata alıp almayacağımı zamanla göreceğim ama firefox'ta çalışmayan flash neden chromiumda çalışıyor acaba?

mantık olarak,
Kod: [Seç]
sudo aptitude purge flashplugin-nonfree flashplugin-installerbu şekilde ben flash'ı kaldırmış olmalıyım. Bunun ardından Chromium'da da flash çalışmamalı.

Ama FireFox'ta çalışmazken hiçbir flash (flash yüklemelisiniz uyarısı alırken sitelerde) ve  http://www.adobe.com/software/flash/about/   adresinde flash yüklü görünmüyorken. aynı adrese Chromium ile girdiğimde "You have version 10,0,32,18 installed" diyor.

Ortada bir tutarsızlık var ama ne anlayamıyorum. Şuan flash olan sitelere Chromium ile girebiliyorum ama FireFox ile giremiyorum. Neden olabileceğine dair bir fikriniz var mı? FireFox kullanmaktan vazgeçsem mi acaba =)


---

Bu arada .mozilla/plugins altında mevzu bahis .so dosyası varsa Chromium'da Flash çalışıyor. Onu kaldırdığımda çalışmıyor.
If you should go skating on the thin ice of modern life, dragging behind you the silent reproach of a million tear-stained eyes, don't be surprised when a c rack in the ice appears under your feet. You slip out of your depth and out of your mind with your fear flowing out behind you as you claw the thin ice.